﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace XamGridDecimal
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += (s, e) =>
            {
                this.DataContext =
                  new Person[] { new Person() { FirstName = "Fred", LastName = "Smith", Age = 22 } };
            };
        }
    }

    public class NullToTextConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value.ToString() == "0")
            {
                return "";
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


    public class Person
    {
        string firstName;
        string lastName;
        int age;
        Decimal price;
        public string FirstName
        {
            get
            {
                return (firstName);
            }
            set
            {
                firstName = value;
            }
        }
        public string LastName
        {
            get
            {
                return (lastName);
            }
            set
            {
                lastName = value;
            }
        }
        public int Age
        {
            get
            {
                return (age);
            }
            set
            {
                age = value;
            }
        }

        public Decimal Price 
        {
            get
            {
                return price;
            }
            set
            {
                price = value;
            }
        }
    }
}
